# -*-makefile-*-
#
# Copyright (C) 2012 by Daniel Gericke <daniel.gericke@tqs.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DVI_ENABLE) += dvi-enable

DVI_ENABLE_VERSION	:= 1

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dvi-enable.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dvi-enable)
	@$(call install_fixup,dvi-enable,PRIORITY,optional)
	@$(call install_fixup,dvi-enable,SECTION,base)
	@$(call install_fixup,dvi-enable,AUTHOR,"Daniel Gericke <daniel.gericke@tqs.de>")
	@$(call install_fixup,dvi-enable,DESCRIPTION,missing)

	@$(call install_alternative, dvi-enable, 0, 0, 0755, \
		/lib/systemd/systemd-dvi-enable)

	@$(call install_alternative, dvi-enable, 0, 0, 0644, \
		/lib/systemd/system/dvi-enable.service)
	@$(call install_link, dvi-enable, ../dvi-enable.service, \
		/lib/systemd/system/multi-user.target.wants/dvi-enable.service)

	@$(call install_finish,dvi-enable)

	@$(call touch)

# vim: syntax=make
